* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}


body {
    background: #000000 !important;
    color: #efedef;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: 300;
    letter-spacing: 0.01em;
    margin: 0;
}



.landing-page {
    text-align: center;
    height: auto;

    h1 {
        margin: 20px !important;
        color: red;
        font-size: 60px !important;
    }

    .app {
        display: flex;
        justify-content: center;
        align-items: start;
    }

    .slide {
        width: 80vw;
        height: 450px;
        border-radius: 1em;
        color: white;
        font-weight: 700;
        font-family: 'Montserrat';
        padding: 1em 2em;
        display: flex;
        align-items: end;
        background-image: url('img/20191228_080059.jpg');
        background-repeat: no-repeat;
        background-size: cover;

        aspect-ratio: 1/2;
        cursor: pointer;
    }

    .slide:first-child {
        background-image: url('img/20230305153247_IMG_2814.JPG');
        background-size: contain;
        background-position: center;
        background-color: rgb(0, 0, 0);
    }


    .slide:nth-child(2) {
        background-image: url('img/gallery-image-3.JPG');
        background-position: center;
    }

    .slide:nth-child(3) {
        background-image: url('img/gallery-image-6.JPG');
        background-position: center;

    }

    .slide h1 {
        position: absolute;
        bottom: 1.75em;
        letter-spacing: 0.05em;
        text-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    }

    .carousel {
        position: relative;
    }

    .dot {
        width: 1em;
        height: 1em;
        border-radius: 1em;
        background-color: white;
        opacity: 0.6;
        transition: width 150ms ease-in-out, opacity 150ms ease-in-out;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
        pointer-events: none;
    }

    .carousel .dots {
        position: absolute;
        bottom: 3em;
        left: 2em;
        display: flex;
        gap: 0.5em;
    }

    .active {
        width: 2em;
        opacity: 1;
    }

    .slide-vis {
        display: none;
    }

    .fade {
        animation: transform 400ms ease-in-out;
    }

    .bg-fade {
        animation: background-transform 400ms ease-in-out;
    }

    @keyframes transform {
        from {
            transform: translateX(40px);
            opacity: 0;
        }

        to {
            transform: translateX(0px) opacity: 1;
        }
    }

    @keyframes background-transform {
        from {
            background-size: 120%;
        }

        to {
            background-size: 100%;
        }
    }


    .event-title {
        color: white;
        font-size: 30px;
        margin-top: 40px;
        line-height: 30px
    }

    .event-date {
        color: white;
    }

}



.features {
    color: #000000;
    text-align: center;
    margin: 0 auto;

    .feature-tabs {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        gap: 20px;
        margin: 20px;
    }

    .tab {
        width: 30%;
        background-color: #ecececb9;
        padding: 15px;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        transition: box-shadow 0.3s ease-in-out;
        text-align: center;
        overflow: hidden;
    }

    .tab:hover {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    .icon {
        font-size: 36px;
        margin-bottom: 10px;
        color: #3498db;
        /* Icon color */
    }

    .card {
        background-color: #ffffff7a;
        border: 1px solid #ddd;
        border-radius: 8px;
        padding: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        transition: box-shadow 0.3s ease-in-out;
        margin: 10px;
    }

    .card:hover {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    .content {
        text-align: center;
        min-height: 65px;
    }
}


.grid-container {
    margin: 50px auto;
    width: 80%;
    height: 80vh;
    display: grid;
    grid-auto-columns: 1fr;
    gap: 1em;
    grid-template-areas:
        'one one two five five'
        'one one three five five'
        'four four four five five '
}

.grid-item {
    border-radius: 1em;
    display: flex;
    justify-content: center;
    color: white;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.grid-item:hover img {
    transform: scale(1.1);
}

.grid-item:nth-child(1) {
    grid-area: one;
    background-color: #222E50;
}

.grid-item:nth-child(2) {
    grid-area: two;
    background-color: #007991;
}

.grid-item:nth-child(3) {
    grid-area: three;
    background-color: #439a86;
}

.grid-item:nth-child(4) {
    grid-area: four;
    background-color: #f6511d;
}

.grid-item:nth-child(5) {
    grid-area: five;
    background-color: #c1292e;
}

.grid-item:nth-child(6) {
    grid-area: six;
    background-color: green;
}


@media (max-width: 940px) {

    .grid-container {
        grid-template-areas:
            'one one two five five'
            'three three three five five'
            'four four four four four';
        margin: 0;
        width: 100%;

    }
}

@media (max-width: 640px) {
    .grid-container {
        grid-template-areas:
            'one one two two two'
            'three three three five five'
            'four four four four four'
    }
}

@media (max-width: 480px) {

    .network {
        height: auto !important;
    }

    .network h1 {
        font-size: 80px !important;
        margin: 20px !important;
    }

    .tab-2 p {
        width: 80% !important;
    }

    .features {
        .feature-tabs {
            flex-direction: column;
            overflow: hidden;
            .tab {
                width: auto;
            }
        }

    }

    .component {
        .component-tabs {
            flex-direction: column;
            overflow: hidden;
            .tab {
                width: auto;
            }
        }

    }
    
    .grid-container {
        grid-template-areas:
            'one'
            'two'
            'three'
            'four'
            'five'
            'six';
    }
}


.grid-container img {
    width: 100%;
    object-fit: cover;
    border-radius: 1em;
    transition: transform 200ms;

}

:root {
    --bg: hsl(0 0% 8%);
    --white: hsl(0 0% 98%);
    --accent: hsl(0 0% 15%);
    --secondary: hsl(0 0% 25%);
}

.themes {


   

.card {
  display: flex;
  flex-direction: column;
  margin: 1rem auto;
  box-shadow: 0 3px 7px -1px rgba(0, 0, 0, 0.1);
  margin-bottom: 1.6%;
  background: #fff;
  line-height: 1.4;
  font-family: sans-serif;
  border-radius: 5px;
  overflow: hidden;
  z-index: 0;
}
.card a {
  color: inherit;
}
.card a:hover {
  color: #5ad67d;
}
.card:hover .photo {
  transform: scale(1.3) rotate(3deg);
}
.card .meta {
  position: relative;
  z-index: 0;
  height: 200px;
}
.card .photo {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-size: cover;
  background-position: center;
  transition: transform 0.2s;
}


.card .description {
  background: #fff;
  position: relative;
  z-index: 1;
}
.card .description h1,
.card .description h2 {
  font-family: Poppins, sans-serif;
}
.card .description h1 {
  line-height: 1;
  margin: 0;
  font-size: 1.5rem;
  
}
.card .description h2 {
  font-size: 1rem;
  font-weight: 300;
  text-transform: uppercase;
  color: #a2a2a2;
  margin-top: 5px;
}

h1 {
    margin: 50px !important;
}
li{
    list-style: disc;
}

@media (min-width: 640px) {
  .card {
    flex-direction: row;
    max-width: 700px;

  }
  .card .meta {
    flex-basis: 40%;
    height: auto;
  }
  .card .description {
    flex-basis: 60%;
    
  }
  .card .description ul{
    list-style: none;

  }
  .card .description:before {
    transform: skewX(-3deg);
    content: "";
    background: #fff;
    width: 30px;
    position: absolute;
    left: -10px;
    top: 0;
    bottom: 0;
    z-index: -1;
  }
  .card.alt {
    flex-direction: row-reverse;
  }

 
}
}

.component {
    color: #000000;
    text-align: center;
    margin: 0 auto;

    .component-tabs {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        gap: 20px;
        margin: 20px;
    }

    .tab {
        width: 30%;
        background-color: #ecececb9;
        padding: 15px;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        transition: box-shadow 0.3s ease-in-out;
        text-align: center;
        overflow: hidden;
    }

    .tab:hover {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    .icon {
        font-size: 36px;
        margin-bottom: 10px;
        color: #3498db;
        /* Icon color */
    }

    .card {
        background-color: #ffffff7a;
        border: 1px solid #ddd;
        border-radius: 8px;
        padding: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        transition: box-shadow 0.3s ease-in-out;
        margin: 10px;
    }

    .card:hover {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    .content {
        text-align: center;
        min-height: 65px;
    }
}

h1 {
    text-align: center;
    font-size: 40px;
    line-height: 0.8em;
    color: #007bff !important;
    margin: 100px !important;
}


.hosts {

    .documentation {
        color: #0759f3;
    }

    button:focus,
    input:focus,
    textarea:focus,
    select:focus {
        outline: none;
    }

    .tabs {
        display: block;
        display: -webkit-flex;
        display: -moz-flex;
        display: flex;
        -webkit-flex-wrap: wrap;
        -moz-flex-wrap: wrap;
        flex-wrap: wrap;
        margin: 0;
        overflow: hidden;
    }

    .tabs [class^="tab"] label,
    .tabs [class*=" tab"] label {
        color: #efedef;
        cursor: pointer;
        display: block;
        font-size: 1.1em;
        font-weight: 300;
        line-height: 1em;
        padding: 2rem 0;
        text-align: center;
    }

    .tabs [class^="tab"] [type="radio"],
    .tabs [class*=" tab"] [type="radio"] {
        border-bottom: 1px solid rgba(239, 237, 239, 0.5);
        cursor: pointer;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        display: block;
        width: 100%;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .tabs [class^="tab"] [type="radio"]:hover,
    .tabs [class^="tab"] [type="radio"]:focus,
    .tabs [class*=" tab"] [type="radio"]:hover,
    .tabs [class*=" tab"] [type="radio"]:focus {
        border-bottom: 1px solid #010a58;
    }

    .tabs [class^="tab"] [type="radio"]:checked,
    .tabs [class*=" tab"] [type="radio"]:checked {
        border-bottom: 2px solid #5b94ff;
    }

    .tabs [class^="tab"] [type="radio"]:checked+div,
    .tabs [class*=" tab"] [type="radio"]:checked+div {
        opacity: 1;
    }

    .tabs [class^="tab"] [type="radio"]+div,
    .tabs [class*=" tab"] [type="radio"]+div {
        display: block;
        opacity: 0;
        padding: 2rem 0;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .tabs .tab-2 {
        width: 50%;
        color: white;
    }

    .tab-2 p {
        width: 50%;
        text-align: center;
        margin: 20px auto;
        color: white;
    }

    .tabs .tab-2 [type="radio"]+div {
        width: 200%;
        text-align: center;
    }

    .tabs .tab-2 [type="radio"]:checked+div {
        margin-left: 0;
    }

    .tabs .tab-2:last-child [type="radio"]+div {
        margin-left: 100%;
    }

    .tabs .tab-2:last-child [type="radio"]:checked+div {
        margin-left: -100%;
    }
}

.network {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-color: rgb(0, 0, 0);
    flex-direction: column;
}

.network h1 {
    font-size: 100px;
    flex: 1;
}

.network .network-grid {
    flex: 2;
    margin: 0 auto;
    display: flex;
    gap: 25px;
    overflow: hidden;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    width: 90%;
}

.network-grid img {
    height: 100px;
    width: 100px;
    object-fit: contain;

}

@media (max-width:1000px) {
    .network {
        display: block;
    }
}


.nav_sec {


    .navbar {
        background-color: #000000;
        font-family: "Arbutus Slab";
    }

    .navbar {
        position: relative;
        transition: border-bottom-color 0.3s ease-in-out;
    }

    .navbar:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 2px;
        background-color: #00054d;
        transform: scaleX(0);
        transition: transform 0.3s ease-in-out;
    }

    .navbar:hover {
        border-bottom-color: #007bff;
    }

    .navbar:hover:before {
        transform: scaleX(1);
    }

    .logo-img {
        transition: transform 0.3s ease-in-out;
    }

    .logo-img:hover {
        transform: scale(1.1);
        border: 2px solid #000;
        animation: border-animation 2s infinite;
    }

    @keyframes border-animation {
        0% {
            border-color: #007bff;
        }

        25% {
            border-color: #66adff;
        }

        50% {
            border-color: #0047cc;
        }

        75% {
            border-color: #070066;
        }

        100% {
            border-color: #001a00;
        }
    }

    .navbar-nav {
        list-style: none;
        padding: 0;
    }

    .nav-item {
        display: inline-block;
        margin-right: 15px;
        position: relative;
        padding-top: 12px;
    }

    .nav-link {
        position: relative;
        display: inline-block;
        text-decoration: none;
        font-size: 23px;
        color: white;
        transition: transform 0.3s ease-in-out;
    }

    .nav-link:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 0;
        height: 2px;
        background-color: #007bff;
        transition: width 0.5s ease-in-out;
    }

    .nav-link:hover {
        transform: scale(1.1);
        font-weight: bold;
        color: #007bff;

    }

    .nav-link:hover:before {
        width: 100%;
        animation: underline 0.6s linear;
    }

    @keyframes underline {
        0% {
            left: 0;
            width: 0;
        }

        25% {
            left: 0;
            width: 100%;
        }

        50% {
            left: 100%;
            width: 0;
        }

        75% {
            left: 0;
            width: 100%;
        }

        100% {
            left: 0;
            width: 100%;
        }
    }



    @keyframes border-animation {
        0% {
            border-color: #001f4d;
            box-shadow: 0 0 5px #002e4d;
        }

        50% {
            border-color: #0047cc;
            box-shadow: 0 0 5px #0047cc;
        }

        100% {
            border-color: #00054d;
            box-shadow: 0 0 5px #00054d;
        }
    }


    @media (max-width: 576px) {
        .nav-item {
            padding-left: 10%;
        }

        .dropdown {
            padding-left: 8%;
        }

        .dropdown-menu.dropdown-menu-center {
            left: 30% !important;
            right: 0 !important;
            transform: translateX(0) !important;
        }
    }

    .navbar-toggler {
        background-color: white;
    }
}